# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name process-leksah

# common part of summary for all the subpackages
%global common_summary Library for system processes in leksah

# main description used for all the subpackages
%global common_description This package contains libraries for dealing with system processes in leksah.


Name:           ghc-%{pkg_name}
Version:        1.0.1.4
Release:        7%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
# macros for building haskell packages
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# define the shared, devel and prof subpkgs, devel scripts,
# and filelists: ghc-process-leksah.files, ghc-process-leksah-devel.files 
%ghc_lib_package


%changelog
* Tue Jun 21 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.4-7
- Update to cabal2spec-0.23.2

* Mon Jun 20 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.4-6
- Rebuild for ghc-7.0.4. Update to cabal2spec 0.23.1.

* Fri Mar 11 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.4-5
- Rebuild for ghc-7.0.2

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.0.1.4-4
- Enable build on sparcv9

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.4-2
- upgrading to cabal2spec-0.22.4

* Tue Dec  7 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.4-1
- Changed license to BSD. No dependencies required.

* Tue Dec  7 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 1.0.1.4-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
